#!/bin/zsh

export COPYFILE_DISABLE=true

# We're going to run this in the Ghostscript-(Version)=Binaries directory
WORK=`pwd`

if [[ -e Binaries/gs-X11 ]]; then
	rm Binaries/gs-X11
fi

if [[ -e Binaries/gs-noX11 ]]; then
	rm Binaries/gs-noX11
fi

if [[ -e Binaries/libgs.dylib.10.02 ]]; then
	rm Binaries/libgs.dylib.10.02
fi

lipo Ghostscript/RawCodeArm/gs-X11.arm Ghostscript/RawCodeIntel/gs-X11.intel -create -output Binaries/gs-X11

lipo Ghostscript/RawCodeArm/gs-noX11.arm Ghostscript/RawCodeIntel/gs-noX11.intel -create -output Binaries/gs-noX11

lipo Ghostscript/RawCodeArm/libgs.dylib.10.02.arm Ghostscript/RawCodeIntel/libgs.dylib.10.02.intel -create -output Binaries/libgs.dylib.10.02


codesign -s   "Developer ID Application: Richard Koch" --force --timestamp --options=runtime Binaries/gs-noX11

codesign -s   "Developer ID Application: Richard Koch"  --force --timestamp --options=runtime --entitlements=gs-X11.entitlements  Binaries/gs-X11

codesign -s   "Developer ID Application: Richard Koch"  --force --timestamp --options=runtime --entitlements=gs-X11.entitlements  Binaries/libgs.dylib.10.02



